[SOLVED] Unable to test or run - no errors, no binary

Caligari

  • Posts: 22
If I switch to Stencyl's haxe and list the library versions I see:
Code: [Select]
actuate: [1.6.5] 1.7.2
air3: [0.0.1] 3.4
box2d-fake: [1.11]
box2d: [1.11] 1.2.0
console: [1.00]
format: [3.0.5] 3.1.2
haxelib_client: [3.1.0-rc.4]
hxcpp: [hxcpp]
layout: [1.1.0]
lime: [lime]
openfl: [openfl]
polygonal-ds: [1.4.1]
polygonal-printf: [1.0.0-beta]
stencyl: [1.00]
svg: [1.0.8]
swf: [1.7.4]
tilelayer: [0.2.1]
tjson: [1.2.3]

Which of these are used by Stencyl, and are any of the versions wrong? Air3 and format are the ones I'm concerned about.

Justin

  • *
  • Posts: 4666
You can look in the Stencyl/plaf/haxe/lib folder of a fresh install. Each library should contain one subfolder, that being the expected version.

Looks like Stencyl uses format 3.1.2, and air3 3.4, but I don't think the version matters too much for those. I'm not sure why the version of air3 we have is so much higher than what's on haxelib.

« Last Edit: May 09, 2015, 05:05:55 am by Justin »
For Live Support: Join our discord server and ping me @justin.
I'm most often available between 10am and 10pm Japan time. (GMT+9)